### Hierarchy

- AbstractNode
  - InterfaceDefinition

## Index

### Constructors

- constructor

### Properties

- annotations
- description
- kind
- loc
- operations

### Methods

- accept
- getKind
- getLoc

## Constructors

### constructor

- new InterfaceDefinition(loc?: Location, desc?: StringValue, op?: OperationDefinition[], annotations?: Annotation[]): InterfaceDefinition

- Overrides AbstractNode.constructor

  - Defined in src/ast/type_definitions.ts:255

  #### Parameters

  - ##### Optional loc: Location

  - ##### Optional desc: StringValue

  - ##### Optional op: OperationDefinition[]

  - ##### Optional annotations: Annotation[]

  #### Returns InterfaceDefinition

## Properties

### annotations

annotations: Annotation[]

- Defined in src/ast/type_definitions.ts:255

### Optional description

description: StringValue

- Defined in src/ast/type_definitions.ts:253

### kind

kind: string

Inherited from AbstractNode.kind

- Defined in src/ast/node.ts:13

### Optional loc

loc: Location

Inherited from AbstractNode.loc

- Defined in src/ast/node.ts:14

### operations

operations: OperationDefinition[]

- Defined in src/ast/type_definitions.ts:254

## Methods

### accept

- accept(context: Context, visitor: Visitor): void

- Overrides AbstractNode.accept

  - Defined in src/ast/type_definitions.ts:269

  #### Parameters

  - ##### context: Context

  - ##### visitor: Visitor

  #### Returns void

### getKind

- getKind(): string

- Inherited from AbstractNode.getKind

  - Defined in src/ast/node.ts:21

  #### Returns string

### getLoc

- getLoc(): undefined | Location

- Inherited from AbstractNode.getLoc

  - Defined in src/ast/node.ts:25

  #### Returns undefined | Location

Generated using TypeDoc